%define oname   haml

Name:       ruby-%{oname}
Version:    3.1.7
Release:    %mkrel 3
Summary:    An elegant, structured XHTML/XML template engine
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Haml (HTML Abstraction Markup Language) is a layer on top of XHTML or XML
that's designed to express the structure of XHTML or XML documents
in a non-repetitive, elegant, easy way, using indentation rather than
closing tags and allowing Ruby to be embedded with ease. It was originally
envisioned as a plugin for Ruby on Rails, but it can function as a
stand-alone template engine.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build -f^VERSION

%install
%gem_install

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/.yardoc

%files
%{_bindir}/haml
%{_bindir}/html2haml
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/VERSION*
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 3.1.7-3.mga3
+ Revision: 396016
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 3.1.7-2.mga3
+ Revision: 380964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 3.1.7-1.mga3
+ Revision: 313031
- new version 3.1.7

* Sat Aug 11 2012 shlomif <shlomif> 3.1.6-1.mga3
+ Revision: 280716
- New version 3.1.6

* Sat Jun 09 2012 shlomif <shlomif> 3.1.4-1.mga3
+ Revision: 258754
- Remove an offensive BR

  + solbu <solbu>
    - New version
    - Spec cleanup

* Sat Feb 19 2011 shikamaru <shikamaru> 3.0.25-2.mga1
+ Revision: 54141
- Filter VERSION files, otherwise cucumber fails

* Sat Feb 12 2011 shikamaru <shikamaru> 3.0.25-1.mga1
+ Revision: 50838
- imported package ruby-haml

